| LicenseSpring Management .Net SDK 1.16.1 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Properties | List of all members
LicenseSpring.ListCustomersRequestDto Class Reference

Data transfer object that is used for searching through all customers. All fields represent a query that can be used to filter through customers. More...

Inheritance diagram for LicenseSpring.ListCustomersRequestDto:

## Properties
string | CompanyNameContains`[get, set]`
| summary> The resulting set can be filtered by the partial match of first name(case insensitive).
string | EmailContains`[get, set]`
| summary> The resulting set can be filtered by the partial match of the email( starts with match).
string | EmailExact`[get, set]`
| summary> The resulting set can be filtered by the partial match of the license users email(case insensitive).
string | EmailStartsWith`[get, set]`
| summary> The resulting set can be filtered by the partial match of company name(case insensitive).
string | FirstNameContains`[get, set]`
| summary> The resulting set can be filtered by the partial match of last name(case insensitive).
string | LabelIn`[get, set]`
| summary>The resulting set can be filtered by the exact match of the email of the customer.
string | LastNameContains`[get, set]`
| summary> The resulting set can be filtered by the partial match of phone.
ulong | License`[get, set]`
| 16 digit id of the license whose customer need to be searched through.
string | PhoneContains`[get, set]`
| summary> The resulting set can be filtered by the exact match of the reference.
string | ReferenceContains`[get, set]`
| summary> The resulting set can be filtered by the partial match of the reference (starts with match).
string | ReferenceExact`[get, set]`
| summary> The resulting set can be filtered by the partial match of the reference (case insensitive).
string | ReferenceStartsWith`[get, set]`
Properties inherited from LicenseSpring.BaseListDto
int | Limit`[get, set]`
| Number of results you want to be shown. Server sends paginated response that's why limit can be set. Default is 20.
int | Offset`[get, set]`

## Detailed Description

Data transfer object that is used for searching through all customers. All fields represent a query that can be used to filter through customers.

## Property Documentation

## ◆ License

ulong LicenseSpring.ListCustomersRequestDto.License
| get set

16 digit id of the license whose customer need to be searched through.

summary>Comma separated list of names of the labels that are assigned to the customer that need to be searched through.

The documentation for this class was generated from the following file:

- Dto/ListCustomersRequestDto.cs